.categories-page {
  max-width: 800px;
  margin: 0 auto;
  padding: 20px;
}

.add-category {
  margin-bottom: 20px;
}

.add-category input[type="text"] {
  width: calc(100% - 80px);
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 4px;
  margin-right: 10px;
}

.add-category button {
  padding: 10px 20px;
  background-color: #007bff;
  color: #fff;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.add-category button:hover {
  background-color: #0056b3;
}

.category-list {
  background-color: #fff;
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.category-list h2 {
  margin-top: 0;
  margin-bottom: 20px;
}

.category-list ul {
  padding: 0;
}

.category-list li {
  list-style-type: none;
  margin-bottom: 10px;
}

.category-list li svg {
  margin-left: 10px;
  cursor: pointer;
  transition: transform 0.3s ease;
}

.category-list li svg:hover {
  transform: scale(1.1);
}

.edit-category {
  margin-top: 20px;
}

.edit-category input[type="text"] {
  width: calc(100% - 80px);
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 4px;
  margin-bottom: 10px;
}

.edit-category button {
  padding: 10px 20px;
  background-color: #28a745;
  color: #fff;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.edit-category button:hover {
  background-color: #218838;
}
